Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 331663007: Implement PUSH_PROMISE handling in spdy_session (Closed)

Created:
5 years, 5 months ago by baranovich
Modified:
5 years, 5 months ago
Reviewers:
Johnny
CC:
chromium-reviews, cbentzel+watch_chromium.org, eroman, mmenke
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

Implement PUSH_PROMISE handling in spdy_session BUG=377538 R=jgraettinger@chromium.org TEST=SpdyStream/SpdySession/SpdyNetworkTransaction push related tests. Re-enabled previously disabled tests: SpdyNetworkTransactionTest.ServerPushCrossOriginCorrectness SpdyNetworkTransactionTest.ServerPushInvalidAssociatedStreamID9 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=278733

Patch Set 1 #

Total comments: 24

Patch Set 2 : Fix review remarks #

Patch Set 3 : Add TODO for goaway unittest #

Patch Set 4 : Call OnPushPromiseHeaders.. inside TryCreatePushStream #

Total comments: 2

Patch Set 5 : Rebasing. Some strange andriod compile errors in skia #

Unified diffs Side-by-side diffs Delta from patch set Stats (+351 lines, -235 lines) Patch
M net/base/net_log_event_type_list.h View 1 2 3 4 1 chunk +9 lines, -0 lines 0 comments Download
M net/spdy/spdy_network_transaction_unittest.cc View 1 2 9 chunks +15 lines, -51 lines 0 comments Download
M net/spdy/spdy_session.h View 1 1 chunk +5 lines, -0 lines 0 comments Download
M net/spdy/spdy_session.cc View 1 2 3 11 chunks +207 lines, -141 lines 0 comments Download
M net/spdy/spdy_stream.h View 1 2 3 2 chunks +6 lines, -3 lines 0 comments Download
M net/spdy/spdy_stream.cc View 1 2 3 5 chunks +12 lines, -11 lines 0 comments Download
M net/spdy/spdy_test_util_common.h View 1 chunk +4 lines, -0 lines 0 comments Download
M net/spdy/spdy_test_util_common.cc View 1 2 3 4 2 chunks +93 lines, -29 lines 0 comments Download

Messages

Total messages: 9 (0 generated)
baranovich
Hi Johnny, This CL introduces some PUSH_PROMISE handling. Correct getting of push stream using all ...
5 years, 5 months ago (2014-06-13 11:42:46 UTC) #1
Johnny
Hi Alexey, Nice job! Overall this is in good shape. Comments inline. -johnny https://codereview.chromium.org/331663007/diff/1/net/spdy/spdy_network_transaction_unittest.cc File ...
5 years, 5 months ago (2014-06-17 04:01:33 UTC) #2
baranovich
All done, except for promised stream id error handling. Your advice needed=) https://codereview.chromium.org/331663007/diff/1/net/spdy/spdy_network_transaction_unittest.cc File net/spdy/spdy_network_transaction_unittest.cc ...
5 years, 5 months ago (2014-06-17 21:33:43 UTC) #3
Johnny
lgtm Nice job! https://codereview.chromium.org/331663007/diff/1/net/spdy/spdy_network_transaction_unittest.cc File net/spdy/spdy_network_transaction_unittest.cc (right): https://codereview.chromium.org/331663007/diff/1/net/spdy/spdy_network_transaction_unittest.cc#newcode3164 net/spdy/spdy_network_transaction_unittest.cc:3164: spdy_util_.ConstructSpdyRstStream(2, RST_STREAM_INVALID_STREAM)); On 2014/06/17 21:33:42, baranovich ...
5 years, 5 months ago (2014-06-19 16:58:52 UTC) #4
baranovich
The CQ bit was checked by baranovich@yandex-team.ru
5 years, 5 months ago (2014-06-20 09:00:10 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/baranovich@yandex-team.ru/331663007/60001
5 years, 5 months ago (2014-06-20 09:01:33 UTC) #6
baranovich
The CQ bit was checked by baranovich@yandex-team.ru
5 years, 5 months ago (2014-06-20 12:51:27 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/baranovich@yandex-team.ru/331663007/80001
5 years, 5 months ago (2014-06-20 12:57:20 UTC) #8
commit-bot: I haz the power
5 years, 5 months ago (2014-06-20 17:10:04 UTC) #9
Message was sent while issue was closed.
Change committed as 278733

Powered by Google App Engine
This is Rietveld 408576698